Description

When I used to run Qgis on Windows it was easy to run multiple versions on the same computer, meaning I could run the latest beta

alongside a stable version, because the installation manager (OSGeo4W) can be installed to different paths without any issues.

This appears to be very different in Linux installs because they use the package manager in each distro, which doesn't appear to offer the

ability to change the install path easily, unless every single package dependency can also be in a different path.

The only option I have had so far to run multiple versions on Linux is to create a separate virtual machine for each version. Oracle

VirtualBox, however, has turned out to cause issues with the operation of Qgis in these virtual machines, making them very difficult to use

for this purpose. (I guess this is understandable in that the keyboard, video and mouse emulations aren't really designed with this kind of

scenario in mind)

It would seem the only option remaining to me is to skip the beta program altogether and just work with stable versions in future, given

there are at the time of writing about 50 bugs that can crash the development version, and one of them is very material to the work I am

doing with Qgis.

History

#1 - 2016-08-27 07:10 AM - Tudor Bărăscu

You can build from source and have multiple QGIS versions fairly easily.

You can check out the https://github.com/qgis/QGIS/blob/master/INSTALL document) or a material that I'm working on at 

https://github.com/tudorbarascu/QGIS-Documentation/blob/qgis_server_tutorial/source/docs/user_manual/working_with_ogc/ogc_server_tutorial.rst

#2 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown
